package com.oqpo.api.mapper.loan;


import com.oqpo.api.entity.loan.LoanInfoEntity;
import com.oqpo.api.entity.stinfo.BrandEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LoanMgntMapper {
    int insertLoanMgntInfo(@Param("userId") String userId, LoanInfoEntity entity) throws Exception;
    int insertAddLoanMgntInfo(@Param("userId") String userId, LoanInfoEntity entity) throws Exception;

    LoanInfoEntity selectLoanStoreInfo(@Param("loanMgntUnqNo") String loanMgntUnqNo)throws Exception;
    int updateLoanMgntCloseInfo(@Param("userId") String userId, String  loanMgntUnqNo) throws Exception;
    int updateLoanChgLimitInfo(@Param("userId") String userId, LoanInfoEntity entity) throws Exception;
}
